Bug 486564 - utrace: gdb on gdb hangs
utrace: gdb on gdb hangs
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
10
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Roland McGrath
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-20 05:16 EST by Jan Kratochvil
Modified: 2009-12-18 02:58 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 02:58:59 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Kratochvil 2009-02-20 05:16:01 EST
Description of problem:
Tried debugging GDB by GDB on Fedora 10 x86_64 and it still does not work with the latest updates-testing kernel.

Version-Release number of selected component (if applicable):
kernel-2.6.27.15-170.2.24.fc10.x86_64
gdb-6.8-29.fc10.x86_64

How reproducible:
Always.

Steps to Reproduce:
gdb -nx -ex r --args gdb -nx -ex r true

Actual results:
GNU gdb Fedora (6.8-29.fc10)
Copyright (C) 2008 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.  Type "show copying"
and "show warranty" for details.
This GDB was configured as "x86_64-redhat-linux-gnu"...
Starting program: /usr/bin/gdb -nx -ex r true
[Thread debugging using libthread_db enabled]
[New Thread 0x7ffff7fd4780 (LWP 31418)]
GNU gdb Fedora (6.8-29.fc10)
Copyright (C) 2008 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.  Type "show copying"
and "show warranty" for details.
This GDB was configured as "x86_64-redhat-linux-gnu"...
Starting program: /bin/true 
<hang>

Expected results:
No hang.

Additional info:
http://sourceware.org/systemtap/wiki/utrace/tests on this sytem:
PASS: ptrace-on-job-control-stopped
PASS: attach-wait-on-stopped
PASS: detach-can-signal
PASS: attach-into-signal
PASS: attach-sigcont-wait
PASS: sa-resethand-on-cont-signal
FAIL: ptrace_cont-defeats-sigblock
PASS: ptrace-cont-sigstop-detach
PASS: ptrace_event_clone
PASS: tif-syscall-trace-after-detach
PASS: event-exit-proc-maps
PASS: event-exit-proc-environ
SKIP: x86_64-ia32-gs
PASS: x86_64-gsbase
SKIP: powerpc-altivec
PASS: peekpokeusr
PASS: watchpoint
PASS: block-step
PASS: step-jump-cont
PASS: step-jump-cont-strict
SKIP: ppc-dabr-race
PASS: signal-loss
PASS: step-into-handler
SKIP: user-area-access
PASS: user-regs-peekpoke
PASS: erestartsys
PASS: erestart-debugger
PASS: step-to-breakpoint
PASS: syscall-reset
PASS: reparent-zombie
PASS: step-simple
PASS: step-through-sigret
PASS: stop-attach-then-wait
PASS: detach-stopped
PASS: clone-multi-ptrace
PASS: clone-ptrace
PASS: o_tracevfork
PASS: o_tracevforkdone
PASS: detach-parting-signal
PASS: detach-sigkill-race
PASS: waitpid-double-report
========================================
1 of 37 tests failed
(4 tests were not run)

As FAIL: ptrace_cont-defeats-sigblock - Bug 451849 - does not look relevant expecting a new testcase should be made for this problem.
Comment 1 Jan Kratochvil 2009-03-19 19:13:34 EDT
New test `o_tracevfork-parent':
http://sources.redhat.com/cgi-bin/cvsweb.cgi/~checkout~/tests/ptrace-tests/tests/o_tracevfork-parent.c?cvsroot=systemtap
Verified as FAILing on: kernel-2.6.29-0.258.rc8.git2.fc11.x86_64
Comment 2 Jan Kratochvil 2009-06-09 03:55:43 EDT
Verified as still FAILing on: kernel-2.6.27.24-170.2.68.fc10.x86_64
Verified as PASSing for example on: kernel-2.6.30-0.97.rc8.fc12.x86_64
Comment 3 Bug Zapper 2009-11-18 04:10:51 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2009-12-18 02:58:59 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.